Sso\WebserviceBundle\Entity\Webservice\Type\UserGroup:
  type: entity
  table: user_group
  indexes:
    idx_user_group_id:
      columns:
        - user_group_id
    idx_user_group_name:
      columns:
        - user_group_lower_name
  id:
    id:
      type: integer
      nullable: false
      id: true
      column: user_group_id
      generator:
        strategy: AUTO
  fields:
    name:
      type: string
      nullable: false
      length: 64
      fixed: false
      unique: true
      column: user_group_name
    lowerName:
      type: string
      nullable: false
      length: 64
      fixed: false
      unique: true
      column: user_group_lower_name
    description:
      type: string
      nullable: true
      length: 255
      fixed: false
      column: user_group_description
    createdAt:
      type: datetime
      column: created_at
    updatedAt:
      type: datetime
      column: updated_at
  lifecycleCallbacks:
    preUpdate: [ onPreUpdate ]
